Package fr.gouv.vitam.common.model.dip

# Enum Class BinarySizePlatformThreshold.SizeUnit

java.lang.Object
java.lang.Enum<BinarySizePlatformThreshold.SizeUnit>
fr.gouv.vitam.common.model.dip.BinarySizePlatformThreshold.SizeUnit

All Implemented Interfaces:
  `Serializable`, `Comparable<BinarySizePlatformThreshold.SizeUnit>`, `Constable`

Enclosing class:
  `BinarySizePlatformThreshold`

public static enum BinarySizePlatformThreshold.SizeUnit extends Enum<BinarySizePlatformThreshold.SizeUnit>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BYTE`
  `GIGABYTE`
  `KILOBYTE`
  `MEGABYTE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getByteCount()`
  `static BinarySizePlatformThreshold.SizeUnit`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BinarySizePlatformThreshold.SizeUnit[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BYTE

    public static final BinarySizePlatformThreshold.SizeUnit BYTE

  - ### KILOBYTE

    public static final BinarySizePlatformThreshold.SizeUnit KILOBYTE

  - ### MEGABYTE

    public static final BinarySizePlatformThreshold.SizeUnit MEGABYTE

  - ### GIGABYTE

    public static final BinarySizePlatformThreshold.SizeUnit GIGABYTE

- ## Method Details

  - ### values

    public static BinarySizePlatformThreshold.SizeUnit[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BinarySizePlatformThreshold.SizeUnit valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getByteCount

    public long getByteCount()